////////////////////////////////////////////////////////////////////////////////////////////////
//
//  ShadowMap.fx v0.3
//  쐬: f[^P
//
////////////////////////////////////////////////////////////////////////////////////////////////

#include "config.h"

// MMD{sampler㏑Ȃ߂̋LqłB폜sB
sampler MMDSamp0 : register(s0);
sampler MMDSamp1 : register(s1);
sampler MMDSamp2 : register(s2);

shared texture ShadowMap0 : OFFSCREENRENDERTARGET <
	string Description = "ShadowMap0";
	string Format = "D3DFMT_R32F";
	int2 Dimensions = {SHADOWMAP_WIDTH, SHADOWMAP_HEIGHT};
	float4 ClearColor = { 1, 0, 0, 0 };
	float ClearDepth = 1.0;
	bool AntiAlias =false;
	int Miplevels = 1;
	string DefaultEffect =
	    "self = hide;"
	    "*.x = hide;"
	    "*.pmd = ShadowDraw.fx;";
>;

// Ȃ悤ɊeeNjbNׂ
technique MainTec < string MMDPass = "object"; > { }
technique MainTec < string MMDPass = "object_ss"; > { }
technique MainTec < string MMDPass = "zplot"; > { }
technique MainTec < string MMDPass = "edge"; > { }
technique MainTec < string MMDPass = "shadow"; > { }

